<% if verify_age(movie, showtime_id) %>
    <div id="verifyAge" class="modal fade" role="dialog">
        <div class="modal-dialog verify-age-modal-dialog">
            <div class="modal-content verify-age-modal">
                <div class="modal-header text-center">
                    <h4 class="modal-title">This movie is rated <%= movie.rating %>. Please verify your age.</h4>
                </div>
                <div class="modal-body">
                    <%= form_for(movie_showtime_path(movie.id, showtime_id), method: :get) do |f| %>
                        <div class="row text-center">
                            <div class="form-group col-md-8 col-md-offset-2 col-xs-12">
                                <%= f.label :age, "Select month", class: "control-label" %>
                                <%= f.select :age_month,
                                ["1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12"],
                                {}, class: "form-control" %>
                            </div>

                            <div class="form-group col-md-8 col-md-offset-2 col-xs-12">
                                <%= f.label :age, "Select day", class: "control-label" %>
                                    <%= f.select :age_day, [], {}, { class: "form-control" } do %>
                                        <% 31.times do |n| %>
                                        <%= content_tag(:option, n + 1) %>
                                    <% end %>
                                <% end %>
                            </div>

                        <div class="form-group col-md-8 col-md-offset-2 col-xs-12">
                            <%= f.label :age, "Select year", class: "control-label" %>
                                <%= f.select :age_year, [], {}, { class: "form-control" } do %>
                                <% 100.times do |n| %>
                                    <%= content_tag(:option, (Time.now.year) - n) %>
                                <% end %>
                            <% end %>
                            </div>
                            <div class="form-group col-md-8 col-md-offset-2 col-xs-12">
                                <%= f.submit "Verify Age", class: "btn btn-primary verify-age-button" %>
                            </div>
                        </div>
                    <% end %>
                </div>
            </div>
        </div>
    </div>
<% end %>